.app-aside {
  left: auto !important; }

.app-body {
  left: auto;
  right: inherit; }

  .form-control {

    text-align: left !important;
}
.app-body-inner {
  left: 0;
  right: inherit; }

@media (min-width: 992px) {
  .app-aside.lg:not(.hide) ~ .app-content {
    margin-right: 13.75rem;
    right: 13.75rem; }
  .app-aside.sm:not(.hide) ~ .app-content {
    margin-right: 11.25rem;
    right: 11.25rem; }
  .app-aside.folded:not(.hide) ~ .app-content {
    margin-right: 4.5rem;
    right: 4.5rem; }
  .app-aside.folded.md:not(.hide) ~ .app-content {
    margin-right: 5.5rem;
    right: 5.5rem; }
  .app-aside:not(.hide) ~ .app-content {
    margin-right: 12.5rem;
    right: 12.5rem; }
  .app-content {
    margin-left: auto !important;
    left: auto !important; }
  .hide-scroll {
    margin-right: 0;
    margin-left: -17px; } }

@media (min-width: 992px) {
  body.container .app-header {
    margin-left: auto;
    margin-right: 0; } }

.navside .nav li li a {
  padding-left: 1rem;
  padding-right: 4rem; }

.navside .nav li li li a {
  padding-left: 1rem;
  padding-right: 5rem; }

.navside .nav li li li li a {
  padding-left: 1rem;
  padding-right: 6rem; }

.nav-stacked .nav > li li a {
  padding-right: 3.25rem; }

.nav-stacked .nav > li li li a {
  padding-right: 4.25rem; }

.nav-stacked .nav > li li li li a {
  padding-right: 5.25rem; }

.nav-icon {
  float: right;
  margin-left: 1rem;
  margin-right: inherit; }

.nav-caret,
.nav-label {
  float: left;
  margin-right: 1rem;
  margin-left: inherit; }

@media (min-width: 992px) {
  .folded.nav-expand:hover .nav > li > a, .folded.nav-expand:focus .nav > li > a, .folded.nav-expand.active .nav > li > a {
    text-align: right; }
    .folded.nav-expand:hover .nav > li > a .nav-icon, .folded.nav-expand:focus .nav > li > a .nav-icon, .folded.nav-expand.active .nav > li > a .nav-icon {
      float: right;
      margin-left: 1rem;
      margin-right: 0; }
  .folded.nav-expand:hover .navbar, .folded.nav-expand:focus .navbar, .folded.nav-expand.active .navbar {
    text-align: right; }
  .folded.nav-dropdown .nav > li > ul {
    left: auto;
    right: 100%; }
  .folded .nav-color .nav > li > a:before {
    right: 0; } }

.nav-stacked .nav > li > a:before {
  left: auto;
  right: 0.5rem; }

.navbar-brand > span {
  margin-left: 0;
  margin-right: 10px; }

.navbar-item {
  margin-right: inherit;
  margin-left: 1rem; }

.m-r {
  margin-left: 1rem;
  margin-right: auto; }

.m-l {
  margin-right: 1rem;
  margin-left: auto; }

.m-r-lg {
  margin-left: 3rem;
  margin-right: auto; }

.m-l-lg {
  margin-right: 3rem;
  margin-left: auto; }

.m-r-md {
  margin-left: 1.5rem;
  margin-right: auto; }

.m-l-md {
  margin-right: 1.5rem;
  margin-left: auto; }

.m-r-sm {
  margin-left: 0.5rem;
  margin-right: auto; }

.m-l-sm {
  margin-right: 0.5rem;
  margin-left: auto; }

.m-r-xs {
  margin-left: 0.25rem;
  margin-right: auto; }

.m-l-xs {
  margin-right: 0.25rem;
  margin-left: auto; }

.p-r {
  padding-left: 1rem;
  padding-right: 0; }

.p-l {
  padding-right: 1rem;
  padding-left: 0; }

.p-r-lg {
  padding-left: 3rem;
  padding-right: 0; }

.p-l-lg {
  padding-right: 3rem;
  padding-left: 0; }

.p-r-md {
  padding-left: 1.5rem;
  padding-right: 0; }

.p-l-md {
  padding-right: 1.5rem;
  padding-left: 0; }

.p-r-sm {
  padding-left: 0.5rem;
  padding-right: 0; }

.p-l-sm {
  padding-right: 0.5rem;
  padding-left: 0; }

.p-r-xs {
  padding-left: 0.25rem;
  padding-right: 0; }

.p-l-xs {
  padding-right: 0.25rem;
  padding-left: 0; }

.b-l {
  border-left-width: 0;
  border-right: 1px solid rgba(120, 130, 140, 0.13); }

.b-r {
  border-right-width: 0;
  border-left: 1px solid rgba(120, 130, 140, 0.13); }

.dropdown-item i {
  margin-left: .5rem;
  margin-right: -.5rem; }

.box-tool {
  left: 1rem;
  right: auto; }

.list-left {
  float: right;
  padding-left: 1rem;
  padding-right: 0; }
  .list-left + .list-body {
    margin-left: 0;
    margin-right: 56px; }

.inset .list-body:after {
  left: 0;
  right: 72px; }

.sl-icon {
  left: auto;
  right: 11px; }

.sl-item:after {
  left: auto;
  right: 20px; }

.sl-left {
  float: right;
  margin-right: -16px;
  margin-left: 0; }
  .sl-left + .sl-content {
    margin-right: 36px;
    margin-left: auto; }

.sl-content {
  margin-left: 0;
  margin-right: 24px; }

.streamline-theme .sl-item:before {
  top: 16px;
  left: auto;
  right: 16px; }

.streamline-theme .sl-item:after {
  left: auto;
  right: 19px; }

.tl-wrap {
  margin-left: 0;
  margin-right: 6em;
  border-width: 0 2px 0 0;
  padding: 15px 20px 15px 0px; }
  .tl-wrap:before {
    float: right;
    margin-right: -26px; }

.timeline-center .tl-item {
  margin-right: 50%;
  margin-left: 0; }

.timeline-center .tl-wrap {
  margin-right: -2px !important; }

.tl-date {
  text-align: left;
  float: right;
  margin-right: -7.5em; }

.ui-check > i {
  margin-right: -20px;
  margin-left: 4px; }

.ui-switch input:checked + i:after {
  margin-right: 15px;
  margin-left: 0; }

.ui-switch-md input:checked + i:after {
  margin-right: 17px;
  margin-left: 0; }

.ui-switch-lg input:checked + i:after {
  margin-right: 21px;
  margin-left: 0; }

.md-check {
  padding-left: 0;
  padding-right: 20px; }
  .md-check input[type="checkbox"]:checked + i:after,
  .md-check input[type="radio"]:checked + i:after {
    left: auto;
    right: 6px; }
  .md-check > i {
    float: right;
    margin-left: 28px;
    margin-right: -20px; }

.md-switch {
  padding-left: 0;
  padding-right: 36px; }
  .md-switch > i {
    margin-right: 0;
    margin-left: 8px; }

.md-input ~ label {
  left: auto;
  right: 0; }

.switcher {
  left: -240px;
  right: auto; }
  .switcher .sw-btn {
    left: auto;
    right: -42px;
    border-right-width: 1px;
    border-left-width: 0;
    border-radius: 0 20px 20px 0; }
  .switcher.active {
    left: -1px;
    right: auto; }

.item-list .item-media {
  float: right;
  margin-left: 16px;
  margin-right: 0; }

.item-list .item-info .bottom {
  float: left; }

.item-list.item-list-xs .center {
  left: auto;
  right: 10px; }

.item-list .item-meta-right {
  right: auto;
  left: 0; }

.item-list-li .item {
  padding-left: 0;
  padding-right: 50px; }
  .item-list-li .item:before {
    left: auto;
    right: 0; }
